EDIT - bug #3535

Automatically update descriptive view if content changed
06/18/2013 04:25 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: critical Found in Version:

Description

when one moves a description element from one taxon to another one and an editor is already opened for this taxon the information
displayed in this editor or descriptive view is not updated automatically.

E.g. I move a common name from Taxon A to Taxon B (which is already open), the information is not displayed in taxon B. | do have
to close and reopen the taxon's editor first to correctly display the latest state.

Related issues:

Copied to EDIT - bug #7731: service method for moving descriptions should not... New
Copied to EDIT - feature request #7730: Add moving functionality to media view New
Copied to EDIT - bug #7754: tab order should be the same after saving of move... New

Associated revisions

Revision c799a32e - 08/22/2018 02:20 PM - Katja Luther

fix #3535: update name editor after moving descriptions from one taxon to another taxon

Revision 62214ec0 - 09/06/2018 09:39 AM - Katja Luther

ref #3535: source taxon should not be selectable for target of moving factual data

Revision 5bfd26ae - 09/06/2018 09:39 AM - Katja Luther

ref #3535: source taxon should not be selectable for move description or description elements

Revision 03c03694 - 09/06/2018 10:13 AM - Katja Luther

ref #3535: update both name editors after moving description oder description elements

Revision 96bf5e90 - 09/06/2018 10:22 AM - Katja Luther

ref #3535: change move message for facts

Revision 733c1cfb - 09/07/2018 12:51 PM - Katja Luther

ref #3535: add check for dirty target when move description or description elements

Revision 7971c018 - 09/07/2018 01:45 PM - Katja Luther

ref #3535: only ask once for saving

History

#1 - 06/18/2013 04:25 PM - Andreas Miller

- Assignee changed from Andreas Miller to c.mathew -

#2 - 05/12/2018 07:28 PM - Andreas Miiller

- Description updated

- Assignee changed from Cherian Mathew to Katja Luther

- Priority changed from New to Priority14

- Target version changed from TaxEditor Next Major Release to Release 5.1

- Private changed from Yes to No
Is this still an open issue?

If yes maybe we can easily fix it with e4 event bus functionality?

#3 - 06/28/2018 12:04 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#4 - 08/17/2018 03:50 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#5 - 08/22/2018 02:22 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c799a32e590620a2719{8f4edfa30604d5a23306.

#6 - 08/22/2018 02:22 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#7 - 09/05/2018 02:32 PM - Andreas Miiller

#8 - 09/05/2018 02:36 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#9 - 09/05/2018 02:41 PM - Andreas Miuller

Moving the full description seems to work correctly.

#10 - 09/05/2018 02:43 PM - Andreas Miiller

#11 - 09/05/2018 02:46 PM - Andreas Miiller
Andreas Muller wrote:
Now, the fact is not removed from the old taxon. Only closing and reopening the taxon removes it.

| tested this for moving a single fact (being a single fact in a description).

Closing does not work if the taxon still needs to be saved. By save the fact is reattached to it without warning

#12 - 09/05/2018 02:55 PM - Andreas Miiller

If the target taxon is dirty and unsaved and gives a warning. It says ".... all other unsaved changes will be saved". It does not say, that ONLY the
target taxon name editor will be saved.

If the later is the case we should clearly state this. E.g. "Warning - the target taxon is open in another window with unsaved changes. These changes
will be saved automatically. To prevent ..."

We may also think about a triple choice "Save", "Discard changes”, "Cancel". Than we need to adapt the above text slightly.

#13 - 09/05/2018 03:18 PM - Katja Luther

this fix was only for the menu entry in taxonnavigator, but | will have a look at the problems in factual data view.

#14 - 09/05/2018 03:31 PM - Andreas Miiller

- Severity changed from normal to critical
Upps, even more critical. Even selecting "Cancel" does not cancel the operation but still saves the target data and adds the data to be moved.
But at the same time, the other changes are not saved, not matter if one chooses "OK" or Cancel.
This is both critical.
#15 - 09/05/2018 03:39 PM - Andreas Miiller
Katja Luther wrote:
this fix was only for the menu entry in taxonnavigator, but | will have a look at the problems in factual data view.
OK.
If calling from navigator the facts and media view of the source taxon stays grey. Even if the warning comes that it has changes that need to be saved
first, which should simply finish the operation without any changes.

But even if no changes existed in source the facts stay grey and you can't see if they were all removed... and you can't add some new facts if you
want.

#16 - 09/05/2018 03:43 PM - Andreas Miiller

By the way, moving facts also moves image galleries. For the user this might be unexpected as for the user it is not clear that image galleries are
handled same as DescriptionBases.

Maybe we should change this behavior or allow configuration.
#17 - 09/06/2018 08:05 AM - Andreas Kohlbecker
Andreas Miller wrote:

By the way, moving facts also moves image galleries. For the user this might be unexpected as for the user it is not clear that image galleries are
handled same as DescriptionBases.

Maybe we should change this behavior or allow configuration.

+1 for "change this behavior"

#18 - 09/06/2018 08:42 AM - Andreas Miiller

But then we should separately allow to also move media/image galleries. Otherwise it is difficult to handle images when a taxon is split, synonym
swapt or any taxonomic operation takes place.

At least for the Media View we should offer a similar funtionality as for the facts view.
new ticket?

By the way, media galleries sooner or later will become an own class, not beeing DescriptionBase anymore. Then it will be handled sepatately
anyway. But this still needs discussion.

#19 - 09/06/2018 09:33 AM - Katja Luther
Andreas Miller wrote:
Katja Luther wrote:
this fix was only for the menu entry in taxonnavigator, but | will have a look at the problems in factual data view.
OK.
If calling from navigator the facts and media view of the source taxon stays grey. Even if the warning comes that it has changes that need to be
saved first, which should simply finish the operation without any changes.

But even if no changes existed in source the facts stay grey and you can't see if they were all removed... and you can't add some new facts if
you want.

| can't reproduce this, the operation takes some time but if it is finished the facts view becomes white and you can see the facts.

#20 - 09/06/2018 09:40 AM - Katja Luther

Andreas Muller wrote:

Note: the selection dialog for the target taxon does show the "start" taxon too. This is not needed and should be filtered.
this is fixed

#21 - 09/06/2018 10:14 AM - Katja Luther

Andreas Muller wrote:

Now, the fact is not removed from the old taxon. Only closing and reopening the taxon removes it.
| tested this for moving a single fact (being a single fact in a description).

this is fixed

#22 - 09/06/2018 10:22 AM - Katja Luther

Andreas Muller wrote:

Note: when moving full description to another taxon the new label of the description is: "Elements moved from ...". Can we remove "Elements"
bei "Facts"? Is shorter and more according to our current terminology.

fixed

#23 - 09/06/2018 09:06 PM - Katja Luther

this ticket is fixed, created a new ticket for not moving image galleries ( #7731) and for the same moving functionality in media view (#7730)

#24 - 09/06/2018 09:06 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#25 - 09/07/2018 09:43 AM - Andreas Miiller

- Description updated

#26 - 09/07/2018 11:44 AM - Andreas Miiller

A minor issue: the processes often take time which is acceptable but an hourglass that the process is still ongoing is missing. So the user does not
really know why he can not see a change yet.

Is it possible to add an hourglass?

#27 - 09/07/2018 12:28 PM - Andreas Miiller

It would be nice if the tap order of the editors could be the same as before saving. Currently the order changes which is confusing for the user (as he
doesn't know that the editor is closed and reopened)

#28 - 09/07/2018 12:31 PM - Andreas Miiller

Now, changes in the source are saved properly. Changes in the target are not saved even when choosing "OK"

#29 - 09/07/2018 12:32 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#30 - 09/07/2018 12:50 PM - Andreas Miiller

Also the request for saving now appears twice if both taxa are dirty. Once before selecting the target, and then after selecting the target. | think we
should change the workflow.

o first select the target

e then warn if any of source or target is dirty (adapt test of warning, either "target taxon has..." or "source taxon...
unsaved changes

¢ use the same warning text for both (actually it will be only 1 text then so it must be more or less the same), currently it are completely differnt
texts and even the button labels are different.

source and target taxa have..."

Note: The text "... ebnso werd alle weiteren ungespeicherten Anderunge gespeichert" of the current second warning is misleading. As far as |
understand only the 2 taxa are saved, not ALL. Maybe better use the text of the first warning (note: | changed it slightly, so update code first)

#31 - 09/07/2018 12:53 PM - Katja Luther

Andreas Muller wrote:
Now, changes in the source are saved properly. Changes in the target are not saved even when choosing "OK"

missed to commit, is fixed now.

#32 - 09/07/2018 01:48 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

now only once the user is asked for saving and text is adapted.

#33 - 09/11/2018 04:25 PM - Andreas Miiller

- Copied to bug #7731: service method for moving descriptions should not move image galleries added

#34 - 09/11/2018 04:26 PM - Andreas Miiller

- Copied to feature request #7730: Add moving functionality to media view added

#35 - 09/11/2018 04:28 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

This seems all to be fixed or moved to new ticket.

Only open issue is the tab order which may change by saving (#note-27). Feel free to create a new ticket for this with lower priority.

#36 - 09/12/2018 12:02 PM - Katja Luther
- Copied to bug #7754: tab order should be the same after saving of moved descriptions added

#37 - 09/12/2018 12:02 PM - Katja Luther
- Status changed from Feedback to Closed
